Returns paginated list of comments on this block. Comments are ordered by creation date (ascending by default, oldest first).
Path Params
id
string
required
The Block ID or slug
Query Params
page
integer
Page number for pagination
per
integer
Number of items per page (max 100)
sort
string enum
Sort by the date the relationship was created.
GET
https://api.are.na/v3/blocks/.../comments
Paginated list of comments with total count
data
Comment[]!
Array of comments
[items]
Comment
A comment on a block
id
integer!
Unique identifier for the comment
type
string!
Comment type
Comment
body
MarkdownContent
Comment body with markdown, HTML, and plain text renderings
created_at
string (date-time)!
When the comment was created
updated_at
string (date-time)!
When the comment was last updated
user
EmbeddedUser!
Embedded user representation (used when user is nested in other resources)
_links
object!
HATEOAS links for navigation and discovery.
meta
PaginationMeta!
Pagination metadata
current_page
integer!
Current page number
next_page
integer | null
Next page number (null if last page)
prev_page
integer | null
Previous page number (null if first page)
per_page
integer!
Number of items per page
total_pages
integer!
Total number of pages available
total_count
integer!
Total number of items available
has_more_pages
boolean!
Whether there are more pages available